[Unit]
Description=libvirt storage daemon
Documentation=man:virtstoraged(8)
Documentation=https://libvirt.org/
BindsTo=virtstoraged.socket
Wants=virtstoraged-ro.socket
Wants=virtstoraged-admin.socket
After=virtstoraged.socket
After=virtstoraged-ro.socket
After=virtstoraged-admin.socket
Conflicts=libvirtd.service
After=libvirtd.service
After=network.target
After=dbus.service
After=apparmor.service
After=iscsid.service
After=remote-fs.target

[Service]
Type=notify-reload
Environment=VIRTSTORAGED_ARGS="--timeout 120"
EnvironmentFile=-/etc/conf.d/virtstoraged
ExecStart=/usr/bin/virtstoraged $VIRTSTORAGED_ARGS
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure

[Install]
WantedBy=multi-user.target
Also=virtstoraged.socket
Also=virtstoraged-ro.socket
Also=virtstoraged-admin.socket
